## GimpSelectButton

GimpSelectButton — The base class of the data select buttons.

## Functions

void | gimp_select_button_close_popup ()

## Types and Values

| GimpSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ├── GimpBrushSelectButton
                                ├── GimpFontSelectButton
                                ├── GimpGradientSelectButton
                                ├── GimpPaletteSelectButton
                                ╰── GimpPatternSelectButton

## Implemented Interfaces

GimpSelectButton implements AtkImplementor, GtkBuildable and GtkOrientable.

## Description

The base class of the brush, pattern, gradient, palette and font select buttons.

## Functions

### gimp_select_button_close_popup ()

    void
    gimp_select_button_close_popup (GimpSelectButton *button);

Closes the popup window associated with `button` .

#### Parameters

button | A GimpSelectButton |

Since: 2.4

## Types and Values

### GimpSelectButton

    typedef struct _GimpSelectButton GimpSelectButton;